unit test;
interface
uses
	javax_microedition_midlet_MIDlet,
	javax_microedition_lcdui_Display,
	javax_microedition_lcdui_Displayable,
	javax_microedition_lcdui_Canvas,
	javax_microedition_lcdui_Graphics,
	javax_microedition_lcdui_Command,
	javax_microedition_lcdui_CommandListener;
type
	main = class(MIDlet, CommandListener)
	public
		procedure startApp; override;
		procedure pauseApp; override;
		procedure destroyApp(flag : boolean); override;
		procedure commandAction(cmd : Command; dsp : Displayable); virtual;
		class procedure quitApp;
	end;

	cnv = class(Canvas)
	public
		procedure paint(g : Graphics); override;
	end;
	
implementation

var
	instance : main;
	dspl : Display;
	fMain : cnv;
	cmdExit : Command;

procedure main.startApp;
begin
	instance := self;
	dspl := Display.getDisplay(self);
	NEW(fMain);
	NEW(cmdExit, 'Exit', Command.EXIT, 0);
	fMain.setCommandListener(self);
	dspl.setCurrent(fMain);
	fMain.addCommand(cmdExit);
end;

procedure main.pauseApp;
begin
end;

procedure main.destroyApp(flag : boolean);
begin
end;

class procedure main.quitApp;
begin
	instance.destroyApp(false);
	instance.notifyDestroyed;
	instance := nil;
end;

procedure main.commandAction(cmd : Command; dsp : Displayable);
begin
	if cmd = cmdExit then begin
		quitApp;
	end;
end;

procedure cnv.paint(g : Graphics);
begin

end;
	
end.
